# Uses of Class
serp.bytecode.PutFieldInstruction

Packages that use PutFieldInstruction
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of PutFieldInstruction in serp.bytecode

Methods in serp.bytecode that return PutFieldInstruction
Modifier and Type
Method
Description
`PutFieldInstruction`
Code.`putfield()`
Place the value of a field onto the stack; the `putfield` opcode.
`PutFieldInstruction`
Code.`putstatic()`
Place the value of a static field onto the stack; the `putstatic` opcode.

## Uses of PutFieldInstruction in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type PutFieldInstruction
Modifier and Type
Method
Description
`void`
BCVisitor.`enterPutFieldInstruction(PutFieldInstruction obj)`
`void`
PrettyPrintVisitor.`enterPutFieldInstruction(PutFieldInstruction obj)`
`void`
BCVisitor.`exitPutFieldInstruction(PutFieldInstruction obj)`